package cmd

import (
	"bufio"
	"fmt"
	"io"
	"net/http"
	"os"
	"strconv"
	"strings"
	"sync"
)

var wg sync.WaitGroup

func start() {
	err := IfPathNotExistDoMkdir(output)
	if err != nil {
		fmt.Println("输出目录创建失败")
		return
	}

	for i := 1; i <= max; i++ {
		wg.Add(1)
		go get(i)
	}

	wg.Wait()
}

func get(num int) {
	defer wg.Done()
	fileName := strconv.Itoa(num) + ".jpg"
	imgSlice := strings.Split(url, "_")
	imgUrl := host + imgSlice[0] + "_" + fmt.Sprintf("%02d", num) + ".jpg"
	fmt.Println("获取图片:" + imgUrl)

	resp, err := http.Get(imgUrl)
	if err != nil {
		fmt.Println(fileName, "图片获取失败:", err)
		return
	}
	defer resp.Body.Close()

	reader := bufio.NewReaderSize(resp.Body, 32*1024)
	file, err := os.Create(output + "/" + fileName)
	if err != nil {
		fmt.Println(fileName, "图片创建失败:", err)
		return
	}
	defer file.Close()

	_, err = io.Copy(file, reader)
	if err != nil {
		fmt.Println(fileName, "图片输出失败:", err)
		return
	}
}
